Subject: [Fot] Tr6 roller rockers & lifters

From: Bob Bownes -Seiri <[email-masked]>
Date: Wed, 13 Jul 2016 14:28:51 -0400

Before I call up Richard Good and ask him to send me a set of roller rockers and pushrods, I presume no one has a set languishing in a box in need of a home do they?

Ah well. I suspected as not. :)

On the other end of the pushrods, has anyone ever looked at doing roller lifters? There are certainly plenty to be had in every V8 size known to man. Surely one has to be a close enough fit to be able to make work...

Bob

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive